/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __core_Stream_h__
#define __core_Stream_h__

namespace fe
{

void FE_DL_PUBLIC FE_CORE_PORT skip(std::istream &istrm, UWORD cnt);

void FE_DL_PUBLIC FE_CORE_PORT output(std::ostream &ostrm, const String &s);
void FE_DL_PUBLIC FE_CORE_PORT output(std::ostream &ostrm, U8 u8);
void FE_DL_PUBLIC FE_CORE_PORT output(std::ostream &ostrm, U32 u32);
void FE_DL_PUBLIC FE_CORE_PORT output(std::ostream &ostrm, I32 i32);

void FE_DL_PUBLIC FE_CORE_PORT input(std::istream &istrm, String &s);
void FE_DL_PUBLIC FE_CORE_PORT input(std::istream &istrm, U8 &u8);
void FE_DL_PUBLIC FE_CORE_PORT input(std::istream &istrm, U32 &u32);
void FE_DL_PUBLIC FE_CORE_PORT input(std::istream &istrm, I32 &i32);

} /* namespace */


#endif /* __core_Stream_h__ */

